Articles of eclipse

Затмение Eclipse (Android Bundle)

Недавно я обновился до Ubuntu 14.04. С тех пор Eclipse рушится. Сообщение # A fatal error has been detected by the Java Runtime Environment: # # SIGSEGV (0xb) at pc=0x734be86d, pid=7930, tid=3076015872 # # JRE version: Java(TM) SE Runtime Environment (8.0_05-b13) (build 1.8.0_05-b13) # Java VM: Java HotSpot(TM) Client VM (25.5-b02 mixed mode linux-x86 ) […]

Есть ли хорошие учебники по Phonegap, за исключением «Hello»?

Я только что занял роль младшего программиста в программной фирме. Мы в основном начинаем заниматься мобильной разработкой. Во всяком случае, я хочу начать поиск в Phonegap для развертывания приложений для iOS и Android. Мне было интересно, есть ли хорошие учебники по Phonegap, кроме базовых «Hello».

D'pad отключен в эмуляторе

Я использую android sdk 4.0.3, я создал эмулятор. Теперь у меня возникла проблема, когда в эмуляторе отображаются отключенные кнопки DPAD. Я установил текущую клавиатуру оборудования и отобразил скин с настройками кнопок в конфигурации. Поэтому я просто хочу включить кнопки Dpad на эмуляторе

Как автоматически изменять имя версии в манифесте во время сборки?

До сих пор я уделял особое внимание программированию приложений и уделял мало внимания тому, чтобы сделать процесс сборки более умным. Таким образом, я делаю вещи очень вручную («тупой путь»), включая обновление вручную android:versionCode и android:versionName в AndroidManifest.xml. Я хотел бы теперь автоматически (т.е. при сборке или при экспорте): Извлечь из git последний тег / ветвь, […]

Mac Ошибка Создать проект Android – «Ошибки запускают« Менеджер ресурсов Android »в проекте"

Я потратил весь день, просто пытаясь создать простой проект приложений для Android на моем Mac (10.7.5). При нажатии «Готово» в мастере проекта я получил следующее сообщение об ошибке: Errors occurred during the build. Errors running builder 'Android Resource Manager' on project 'MyFirstApp'. java.lang.NullPointerException Был создан проект с пустыми каталогами, но файлы не были сгенерированы, кроме […]

Eclipse Android Emulator – Клавиатура не работает

Я только что обновил до последней версии SDK 16, создал новую версию AVD, используя самую последнюю версию API (16), и моя аппаратная клавиатура больше не работает на эмуляторе (даже мой другой avd, используя более старую версию sdk ). Любые идеи, как это исправить?

Возможно ли установить Eclipse IDE в Galaxy Tab?

Поскольку Eclipse может работать в Linux, и этот планшет имеет новый Honeycomb (Linux Kernel), может ли Eclipse IDE работать в Android Honeycomb? Я знаю, что это не очень удобное кодирование в планшете, но я бы хотел использовать для моделирования UML.

Переименование имени APP в Android Eclipse IDE

Я создал замечательное приложение, но я хочу переименовать «имя приложения» в одиночку … (то есть имя, увиденное пользователем на значке приложения) .. (это не переименование пакетов) Как это сделать, не создавая новый …

Ошибка «id не может быть разрешена или не поле»?

Я продолжаю получать эту ошибку. Должен ли я просто делать id полем? Мой код: public void onCreate(Bundle icicle) { super.onCreate(icicle); setContentView(R.layout.main); ImageView mainimage = (ImageView) findViewById(R.id.mainanim); mainimage.setBackgroundResource(R.anim.mainanim); mainanimation = (AnimationDrawable) mainimage.getBackground(); } Как именно вы это исправите?

«Неподдерживаемая зависимость шаблона: обновите плагин Android Eclipse» с помощью SDK Tools v22

Недавно я обновил свои Android SDK Tools до версии 22. Но всякий раз, когда я пытаюсь создать новый проект в Eclipse, я получаю сообщение об ошибке: Неподдерживаемая зависимость шаблона: обновите плагин Android Eclipse Как я могу исправить эту проблему?